Bug 566443 - [abrt] crash in Miro-2.5.4-1.fc12
Summary: [abrt] crash in Miro-2.5.4-1.fc12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Miro
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Alex Lancaster
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b1f662f5
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-18 14:00 UTC by hugoct.ufg
Modified: 2010-09-15 05:51 UTC (History)
3 users (show)

Fixed In Version: Miro-3.0.3-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-14 05:04:02 UTC


Attachments (Terms of Use)
File: backtrace (812 bytes, text/plain)
2010-02-18 14:00 UTC, hugoct.ufg
no flags Details

Description hugoct.ufg 2010-02-18 14:00:22 UTC
abrt 1.0.6 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/lib/python2.6/site-packages/miro/plat/renderers/gst_extractor.py '/home/hugo/V\xc3\xad/home/hugo/Víd' /home/hugo/.miro/icon-cache/extracted/Idolos.wmv.hFJqp.png
component: Miro
executable: /usr/lib/python2.6/site-packages/miro/plat/renderers/gst_extractor.py
kernel: 2.6.31.12-174.2.19.fc12.i686.PAE
package: Miro-2.5.4-1.fc12
release: Fedora release 12 (Constantine)

backtrace
-----
Summary: TBb1f662f5 gst_extractor.py:131:buffer_probe_handler_real:QueryError: query failed

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/miro/plat/renderers/gst_extractor.py", line 141, in <lambda>
    gobject.idle_add(lambda: self.buffer_probe_handler_real(pad, buff, name))
  File "/usr/lib/python2.6/site-packages/miro/plat/renderers/gst_extractor.py", line 131, in buffer_probe_handler_real
    timecode = self.pipeline.query_position(gst.FORMAT_TIME)[0]
QueryError: query failed

Local variables in innermost frame:
name: 'fakesink1'
self: <__main__.Extractor instance at 0xb77becac>
caps: <GstCaps at 0xb5130240>
pad: <GstPad (fakesink1:sink) at a3bc4b8>
filters: <GstStructure (video/x-raw-rgb) at b69e3830>
buff: <gst.Buffer 0xb514cd00 of size 230400 and data 0x00050000>

Comment 1 hugoct.ufg 2010-02-18 14:00:25 UTC
Created attachment 394904 [details]
File: backtrace

Comment 2 Alex Lancaster 2010-02-20 06:53:59 UTC
Can you describe exactly what you were doing when the crash happened?  It's difficult to fix without being able to reproduce it reliably.

Comment 3 Ben Dean-Kawamura 2010-05-05 20:06:17 UTC
I believe this was fixed in commit 9ec3a8ff57978fde4b3a57d656b012c6d994d233 upstream.

Comment 4 Alex Lancaster 2010-05-30 03:42:34 UTC
(In reply to comment #3)
> I believe this was fixed in commit 9ec3a8ff57978fde4b3a57d656b012c6d994d233
> upstream.    

Hi Ben, is this in a release yet?

Comment 5 Ben Dean-Kawamura 2010-05-31 02:57:53 UTC
Not released yet, but it should be in 3.1.

Comment 6 Fedora Update System 2010-08-29 17:19:24 UTC
Miro-3.0.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc14

Comment 7 Fedora Update System 2010-08-29 17:26:28 UTC
Miro-3.0.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc13

Comment 8 Fedora Update System 2010-08-29 17:30:34 UTC
Miro-3.0.3-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc12

Comment 9 Fedora Update System 2010-08-30 19:41:12 UTC
Miro-3.0.3-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Miro'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc14

Comment 10 Fedora Update System 2010-09-14 05:02:06 UTC
Miro-3.0.3-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-09-15 05:33:58 UTC
Miro-3.0.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-09-15 05:49:07 UTC
Miro-3.0.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.